#include "test.hpp"
#include "sample.hpp"

using namespace N;

namespace NSample
{
  void CSample::Foo()
  {
    m_pC->Init(); // Init should be linked to N:C::Init()
    m_pC->Exit(); // Exit should be linked to N:C::Exit()
  } // end

  void CSample::Dummy()
  {
    N::C* m_pC = 0;  // Nasty workaround
    m_pC->Init(); // Init is linked to N::C::Init()
  } // end

  void CSample::OnFoo()
  {
    static int x = 1;
  } // end

  void CSample::Init()
  {
    static int x = 2;
          // Do this or that
  } // end
}


